#pragma rtGlobals=1		// Use modern global access method.

#include ":AsylumResearch:Code3D:UserProcs:ControlledStep:StepFunctions"		//include any user procedures here
#include ":AsylumResearch:Code3D:UserProcs:ControlledStep:DFandWave"		//includes user created DF and waves
#include ":AsylumResearch:Code3D:UserProcs:ControlledStep:DataStorage"		//includes user created DataStorage
#include ":AsylumResearch:Code3D:UserProcs:ControlledStep:RepeatStep"
#include ":AsylumResearch:Code3D:UserProcs:ControlledStep:ForceFormula"
#include ":AsylumResearch:Code3D:UserPanels:Nudger"  //include nudger file

//This is the main user procedure. You should copy this and then rename it. The main user procedure has to be in
//UserProcs folder. Any included user procedures could be in a folder in the UserProc folder, but that is up to the
//user.
//All includes should be in this procedure. All Override functions should be
//in this procedure, because the order that they are compiled is important. Steps have been taken to get this
//procedure to compile first, but there is no guarantee that that will always happen. As long as the Remove User
//Func is at the top of the Programming menu everything should be working.

Menu "P&rogramming"		//this adds to the Programming menu
	"Remove ControlledStep User Func", RemoveUserFunc("ControlledStep")	//the command that reverts the software back to stock
end								//modified software you are running. You have to change the "UserDemo" string
								//to match the name of your main user procedure.

Function InitControlledStep()	//Anything that needs to be initlialized, for example data folders or waves made
			CreateDF()		//need to be done in this function or called from this function
			InitNudger()				//This function should be here even if it does nothing
							//It needs to be named Init plus the name of the main user procedure.


End //InitControlledStep

Menu "Controlled Step"
	"Controlled Step"
	
End
